Freeciv-3.3: packet_unit_orders Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_unit_orders Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | unit_id
int | src_tile
int | length
bool | repeat
bool | vigilant
struct unit_order | orders [MAX_LEN_ROUTE]
int | dest_tile

## Detailed Description

Definition at line 710 of file packets_gen.h.

## Field Documentation

## ◆ dest_tile

int packet_unit_orders::dest_tile

Definition at line 717 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ length

int packet_unit_orders::length

Definition at line 713 of file packets_gen.h.

Referenced by handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ orders

struct unit_order packet_unit_orders::orders[MAX_LEN_ROUTE]

Definition at line 716 of file packets_gen.h.

Referenced by handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ repeat

bool packet_unit_orders::repeat

Definition at line 714 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ src_tile

int packet_unit_orders::src_tile

Definition at line 712 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ unit_id

int packet_unit_orders::unit_id

Definition at line 711 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().

## ◆ vigilant

bool packet_unit_orders::vigilant

Definition at line 715 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), and send_path_orders().